Starts a new long-running job
Request
POST https://www.activityinfo.org/resources/jobs
Request body
application/json
| object | |||
| descriptor | object | required | |
| locale | string | required | |
Successful response
application/json
| object | |||
| id | string | The job's id | required |
| userId | string | The id of the user who started the job | required |
| descriptor | object | The job descriptor used to start this job | required |
| state | string | The job's current state Values:
|
required |
| jobResult | object | required | |
| percentComplete | float | required | |
| error | object | If the job state is FAILED, the reason for the failure. | optional |
| code | string | required | |
| message | string | required | |
| localizedMessage | string | required | |
| startTime | instant | The time at which the job was started, in milliseconds since the epoch. Zero for statuses that were recorded before start times were reported. | required |
| completionTime | instant | The time at which the job completed or failed, in milliseconds since the epoch. Absent while the job is pending. | optional |
| read | boolean | True if the user has seen this job's outcome, for example by downloading its result or by marking its notification as read. | required |
Error responses
| Status Code | Error Code | Description |
|---|---|---|
| 401 | AUTHENTICATION_ |
The request must be authenticated |